CurseForge and Overwolf are joining forces!
Awesome More Information
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from lejordet »

    Also, an update on the "editing addons doesn't work on Mac"-problem: Seems like the linux version has the same problems, so it's a good possibility I can fix it :D


    Unless it's an entirely different bug on Linux, this bug is fixed! \o/

    I also found a bug in editing the WoW/backup dir in preferences; the WoW dir would be set to whatever you chose as the backup dir, and the backup dir remained unchanged - fixed in the latest SVN version...I'll pack up a new version 1.1 later today, and flag it as non-beta ;D
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from Purity »

    File "/Users/pppppp/checkouts/WUU-1.1.145-src-1 Folder/Wurm.py", line 1445, in <module>
    loadSettings()
    File "/Users/pppppp/checkouts/WUU-1.1.145-src-1 Folder/Wurm.py", line 957, in loadSettings
    dom = xml.dom.minidom.parse(datafile)
    File "/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/xml/dom/minidom.py", line 1913, in parse
    return expatbuilder.parse(file)
    File "/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/xml/dom/expatbuilder.py", line 922, in parse
    fp = open(file, 'rb')
    IOError: [Errno 2] No such file or directory: ''


    I launched each file seperate with pythonlauncher....each time I got a process completed...except on the wurm.py doc, I got that message. Maybe that will help you figure out whats happening?

    I also made a copy of my working 1.44 version then I pasted 1.51 over it...just to see if 1.51 was missing any files that 1.44 had. It still did not launch completely. I don't think 1.51 is missing anything, just some error somewhere not letting it work.

    It just feels like its logging me out immediately on launch.


    That one isn't meant to be runnable :P What you run there is remnants of WUU 0.1, back when it was still called Wurm, and didn't have a GUI... That part of the code is removed from the lastest build, incidentally ;)

    Quote from Doggabone »

    Also, I'm running 1.44 as well nothing after that will launch on my Mac either. But I haven't been getting spiffy error logs that I could find. Just a flicker where a frame might be.


    The next version has better logging of startup errors, which will help a bit on errors like this...BUT! I think I've found a clue to why it won't launch: Download http://wuu.vagabonds.info/site_re.txt and put it in your WUU directory - I forgot to include that file in the ZIP :(

    (Rather than adding it in the ZIP, I'll make sure that the next version of WUU will download it if it's missing - better than crashing ;))
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    I just realized:

    Quote from lejordet »

    - Site specific flags on mods, for further customization (some flags will be per-mod, others will be per-site, and some will have a configurable default, with option of overriding for each mod): partially done
    * no-ext or regular mod on WoWAce (partially implemented already) done
    * Allow download of beta versions from Curse/AuctioneerAddon
    - Option to delete the addon dirs before extracting done
    - Required to safely implement the above: A way of reverting to the last version (for instance when an upgrade fails after the addon dir is deleted) done
    - Show changelogs, if available, in the TOC pane done


    ...so if .151 works, a "non-beta" 1.1 is imminent :D

    I committed a change to the SVN just now that I forgot to tag with a message; I've added a "fix broken dependencies"-command to the Tools-menu, that tries to automagically locate and install missing dependencies of your mods ;)

    Quote from Purity »

    I start it get the terminal and terminal-bash windows, then I gete the prompt to choose my WoW folder..when I hit ok, something opens then closes real real fast. The WUU window never does though.


    Do you have a settings.wurm.xml file from an earlier version saved? There might be a problem in the WoW folder selection code :( Going to test that...

    Also, an update on the "editing addons doesn't work on Mac"-problem: Seems like the linux version has the same problems, so it's a good possibility I can fix it :D
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from Purity »

    Hmm..the version posted above says 1.5 but 1.45 is what downloads(source).

    Also, 1.45+ no longer works for me. I have to use 1.44. Unfortunately, I do not know if this has to do with my upgrade to python2.5 or not. I kind of think not...since 1.44 still works and all.


    Hope this makes some sense. :)


    Yeah, I had an error in the link for .150

    Any specific error messages in .145+? I've made many major changes to the code, but none that should crash it on Mac

    I just tested .151 on Linux, and it worked perfectly, at least...
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from StormFX »

    Any update on when support for with or without externals will be added? That's the only thing holding me back from using this. :/


    Re-quoting this, since:

    WUU 1.1.151 beta
    WUU 1.1.151 beta source

    1.1.151beta (2007.02.06):

    * Bugfix: Delete works again
    * "Delete before extract" (in preferences) works
    * "WoWAce: use no-ext" (in preferences) works (downloads the addons from wowace without embedded libraries)
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from StormFX »

    Any update on when support for with or without externals will be added? That's the only thing holding me back from using this. :/


    The code change I did yesterday was necessary to add the "delete before extract" function, which, in turn, is necessary for the with/without externals choice - I'm guessing I'll have that option in before the week is over ;)
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    WUU 1.1.150 beta
    WUU 1.1.150 beta source

    1.1.150beta (2007.02.03):

    * Bugfix: Beta version check is working now
    * Addons are now automatically copied to the backup dir before an upgrade (no restore code, yet)
    * Other: Cleaned up the code, still much to do, but this will make adding features easier

    I just realized; it's over 3 months since I released the first version of WUU :D 150 commits to the SVN server in 3 months, that's 1.67 commits a day!

    This version is feature-identical to .145, except for the added backup feature - the main change is that I've moved lots of code around in the source, which might break other features, thus the beta status (I've tested most of the usual stuff, tell me if I missed something ;))

    EDIT: Deleting addons is broken :(
    EDIT2: Bah, linked to wrong files
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from GitS »

    WUU 1.1.145 beta

    Don't know if its me or the new version, but it's faster the before.


    That would be the .144 change:
    * WoWAce version checks will now use a cached version list (faster, but might not work in all cases - default enabled)

    ;D I'm grabbing all the versions off the http://files.wowace.com main page instead of checking version.txt in every mod folder - should save a lot of time and server bandwidth.

    Quote from Doggabone »

    I really this utility - cross platform and many sites - why, it's pan-tastic! But I've noticed that I can't update the site ids on my Mac - I'm not sure how long or if this has been an issue, as I just switched my primary computer less than a week ago. It seems to me that the AddOn name is being appended insted of the ID. I'm getting messages like: (ERROR) Could not find download URL on http://ui.worldofwar.net/ui.php?id=Venantes when I know I just typed in "3304".

    In any event, whether it's catching all my AddOns or just the Ace ones, this wonderful toy is a boon. Thanks for your efforts. :)


    It's a known problem on OSX :( For some reason, the wxWindows library I use for the GUI works slightly different on Mac - I'm looking into it, but it won't be easy before I get myself a Mac ;) In any case, I'm coding that part of WUU from scratch soon, so maybe that'll fix it...

    For now, the only workaround is to edit <WoW dir>\addons.wurm.xml manually...
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    WUU 1.1.145 beta
    WUU 1.1.145 beta source

    1.1.145beta (2007.02.03):

    * Win32 only: The .exe is now build on Python 2.5 and wxWindows 2.8.1.1
    * Made site regular expressions updatable separately from the rest of WUU
    * Added auto-update of regexps when WUU loads (controlled by the "Check WUU version" flag), or manually from the Tools menu

    Flagged as a beta (so you'll only get the autoupdate if you've allowed it), since the jump from Python 2.4 to 2.5 is significant, and the regexp code isn't thoroughly tested - please try it anyway, it won't break anything ;)

    EDIT: Well, the beta version auto-updater thingy was buggy, so it's a manual update if you want it :( the beta auto-updater will be working in the next release
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from nimmsis »

    i was runing the exe.

    and you might be right about ruing old code. since a redownload (and a deletion of the old dir) did the trick.

    but (atleast my) 1.1.144 seems to not be able to check the cursegaming site.


    2007-02-02 20:47: (DEBUG) KLHThreatMeter local version: 20070201
    2007-02-02 20:47: (INFO) Upgrading KLHThreatMeter from 20070201 to 20070201
    2007-02-02 20:47: (DEBUG) Downloading [url]http://media5.curse-gaming.com/download/73e0f126f55a292cc20f7ab80c30e4442cae399b/1170445705/47/27387/[/url] to KLHThreatMeter-r20070201.zip
    2007-02-02 20:47: (INFO) ZIP contains 1 addon(s): KLHThreatMeter
    2007-02-02 20:47: (INFO) KLHThreatMeter is upgraded to 20070201


    ...mine works :( damn. Anything "good" in the log regarding the Curse-addons?

    Also, my previous plan for 1.1 isn't valid anymore ;) I have some features I "must" get into the program first, the primary being "Seperately updatable addon site handlers", so I don't have to make a new version of WUU every time a site changes slightly :)
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from nimmsis »

    hmm, im getting the folowing error when trying to check the online version (ctrl-V)

    Traceback (most recent call last):
    File "WUU.py", line 800, in OnSyncAll
    AttributeError: 'module' object has no attribute 'resetSearch'

    manual check works.


    Are you running the .exe or from source?

    And could you try downloading WUU 1.1.144 manually and install it? :) Seems like it's somehow using old code :|
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Ok, I made this version yesterday, but forgot to change the version file on the web server, and didn't have time posting about it, so here goes:

    WUU 1.1.144
    WUU 1.1.144 source

    1.1.144 (2007.02.01):

    * Bugfix: Preferences are now applied correctly
    * Bugfix: Preferences are no longer applied even if Cancel is pressed
    * WoWAce version checks will now use a cached version list (faster, but might not work in all cases - default enabled)
    * Added link to change log (if it exists) in the side panel
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Aaaaaand...

    WUU 1.1.142
    WUU 1.1.142 source

    1.1.142 (2007.02.01):

    * Fixed CurseGaming again (RAR files should work again, too)
    * Resized the addon install window again
    * Added .png to list of allowed extensions
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from OrionShock »

    curse seems to have changed something - im getting

    "2007-01-31 14:19: (DEBUG) AtlasLoot local version: 20070127"
    "2007-01-31 14:19: (DEBUG) Could not find addon update date on page - is site ID correct?"

    where on the previous days i have Never had a problem

    messages before are BAU - nothing unusual or odd.


    Correct, slight, but significant change to the page :(

    I'll try to get a new version out tomorrow.
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Windows/Linux/Mac) - supports multiple sites
    Quote from Purity »

    Working well from what I can tell. I noticed there is a backup WUU in my addon folder now. Is it supposed to be empty? Or should it be making a backup of my addons? Or is this where "I am" suppose to keep a manual backup? Just curious since it looks like mine is empty. :)


    Thank you for all your updates and hard work! Honestly don't know how I managed before this tool.

    :D


    It's where WUU will eventually backup your addons when upgrading :P I've implemented the setting (the directory can be changed in the preferences), but not the feature ;)
    Posted in: Updaters
  • To post a comment, please or register a new account.